summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--main_test.go4
-rwxr-xr-xtest.bash6
2 files changed, 6 insertions, 4 deletions
diff --git a/main_test.go b/main_test.go
index 9262e6f..8e3af8f 100644
--- a/main_test.go
+++ b/main_test.go
@@ -319,7 +319,9 @@ func TestRmwRace(t *testing.T) {
}
*/
}
- fmt.Println(goodMd5)
+ if testing.Verbose() {
+ fmt.Println(goodMd5)
+ }
}
func BenchmarkStreamWrite(t *testing.B) {
buf := make([]byte, 1024*1024)
diff --git a/test.bash b/test.bash
index 4cfe5a8..ce219bf 100755
--- a/test.bash
+++ b/test.bash
@@ -1,9 +1,9 @@
#!/bin/bash
-set -eux
+set -eu
go build ./cryptfs
-go test ./cryptfs
+go test ./cryptfs $*
source build.bash
-go test
+go test $*